import axios from 'axios';
const baseUri = "/acidRain/acidRainPlaceBaseInfoDict";
const listAllUrl = baseUri + "";

// 添加
const savePlace = function (data) {
    return axios.post("/acidRain/acidRainPlaceBaseInfoDict",data)
}

// 删除
const removePlace = function (id) {
    return axios.delete(`/acidRain/acidRainPlaceBaseInfoDict/${id}`,)
}
// 批量删除
const removeBatchPlace = function (ids) {
    return axios.delete("/acidRain/acidRainPlaceBaseInfoDict/batch",{data:ids})
}

// 修改
const updatePlace = function (data) {
    return axios.put("/acidRain/acidRainPlaceBaseInfoDict",data)
}

const copyBatchPlace = function (data){
    return axios.post("/acidRain/acidRainPlaceBaseInfoDict/copyBatch",data)
}
const getColumnOptions = function(column){
    return axios.get("/acidRain/acidRainPlaceBaseInfoDict/options",{params:{column}})
}
export {
    listAllUrl,
    savePlace,
    updatePlace,
    removeBatchPlace,
    removePlace,
    copyBatchPlace,
    getColumnOptions

}
